﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Gifitti
{
    public partial class Form1 : Form
    {
        // GifImage _currentGif; <- used to encapsulate info later 
        private const int widthBuffer = 20;
        private const int heightBuffer = 60;

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "GIF Files|*.gif";
            DialogResult result = openFileDialog1.ShowDialog(); // Show the dialog.
            if (result == DialogResult.OK) // Test result.
            {
                string file = openFileDialog1.FileName;
                try
                {
                    Image loadedGif = Image.FromFile(file)
                        ;
                    gifView.Image = loadedGif;
                    gifView.Width = loadedGif.Width;
                    gifView.Height = loadedGif.Height;
                    ClientSize = new Size(loadedGif.Width+widthBuffer, loadedGif.Height+heightBuffer);
                }

                catch (IOException)
                {
                }

                 CenterToScreen();

                // Focus the gif:
                gifView.Select();
                gifView.Focus();
                ActiveControl = gifView;
            }
        }
    }
}
